:root{
    --bg-jual : #d32f2f;
    --bg-sewa : #ff9800;
    --bg-jualsewa : #ff5722;    

    --bg-read-0 : lightgrey; 
    --bg-read-1 : white; 
    
    --bg-tipe-0 : #d32f2f;
    --bg-tipe-1 : #ff9800;
    --bg-tipe-2 : #ff5722;    
}
header{
    position: fixed;
    top: 0px;
    left: 0px;
    background-color: white;
    width: 100%;
    
    z-index: 99;
    box-shadow: 0px 0px 25px rgba(0, 0, 0, 0.192);
}
.header-saya-container{
    position: fixed;
    top: 70px;
    left: 0px;
    background-color: white;
    width: 100%;
    box-shadow: 0px 5px 15px -2px rgba(0, 0, 0, 0.192);
    z-index: 98;
    transform: translateZ(10px);
    padding: 10px 5px;
}

header>div:first-child{
    z-index: 98;
    padding: 10px;
    background-color: white;
}
.search-advance-container{
    position: fixed;
    width:100%;
    height: calc(100% - 70px);
    padding: 0px 10%;
    margin-top: 70px;
    background-color: white;
    z-index: -1;
    opacity: 0;
    overflow-y: auto;
    transform: translateY(-100%);
}

.search-advance-container>div{
    margin-bottom: 10px;
}

header.active .search-advance-container{
    opacity: 1;
    z-index: 1;
    box-shadow: 0px 0px 25px rgba(0, 0, 0, 0.192);
    transform: translateY(0px);
}

.show-advance{
    border: 1px solid rgba(0, 0, 0, 0.062);
    cursor: pointer;
    text-align: center;
    padding: 0px 10px;
}
.show-advance>div{
    margin:auto;
}

.show-advance:hover{
    background-color: rgba(0, 0, 0, 0.116);
}
.flex-equal>div{
    flex-grow: 1;
}
.transition{
    transition: all .3s ease-in-out;
}

.label{
    color: rgb(175, 175, 175);
    margin: 0px;
    font-size: 0.75em;
}

.margin-col-sm{
    margin-right: 5px;
}
.margin-col-md{
    margin-right: 10px;
}
.margin-col-lg{
    margin-right: 15px;
}
.margin-col-xlg{
    margin-right: 25px;
}

.margin-col-sm:last-child{
    margin-right: 0px;
}

.rounded-s{
    border-radius: 5px;
}
.rounded-m{
    border-radius: 10px;
}
.rounded-l{
    border-radius: 15px;
}

.flex{
    display: flex;
}

.flex-hor{
    flex-direction: row;
    
}

.flex-hor-reverse{
    flex-direction: row-reverse;
    
}

.flex-ver{
    flex-direction: column;
}
.flex-ver-reverse{
    flex-direction: column-reverse;
}

.flex-separate{
    justify-content: space-between;
}
.flex-space-evenly{
    justify-content: space-evenly;
}
.flex-centered{
    justify-content: center;
}

.flex-vertical-center{
    align-items: center;
}

.flex-btn-ratio-1-1{
    padding-top:100%;
}

.flex-btn-ratio-1-1::after{
    content: "";
    position:absolute;
    padding-top:100%;
    width:100%;
    left:0px;
    top:0px;
}

.flex-btn{
    text-align: center;
    min-width: 50px;
}

.flex-vertical-stretch{
    align-items: stretch;
}

.flex-wrap{
    flex-wrap: wrap;
}

.flex-12, .child-flex-12>div{width: calc(100% / 12);}
.flex-10, .child-flex-10>div{width: 10%;}
.flex-9 , .child-flex-9 >div{width: calc(100% / 9);}
.flex-8 , .child-flex-8 >div{width: 12.5%;}
.flex-7 , .child-flex-7 >div{width: calc(100% / 7);}
.flex-6 , .child-flex-6 >div{width: calc(100% / 6);}
.flex-5 , .child-flex-5 >div{width: 20%;}
.flex-4 , .child-flex-4 >div{width: 25%;}
.flex-3 , .child-flex-3 >div{width: calc(100% / 3);}
.flex-2 , .child-flex-2 >div{width: 50%;}
.flex-1 , .child-flex-1 >div{width: 100%;}

.dash-bottom{
    border-bottom: dashed rgb(175, 175, 175) 1px;
}

.bg-red{
    background-color: #d32f2f !important;
}

.txt-white{
    color: white !important;
}
.txt-black{
    color: black !important;
}

.txt-center{
    text-align: center;
}

.txt-sm{
    font-size: 0.75em;
}

.txt-md{
    font-size: 1.3em;
}

.txt-lg{
    font-size: 2em;
}

.padding-s{
    padding:5px;
}

.padding-m{
    padding:10px;
}

.padding-l{
    padding:15px;
}

.relative{
    position: relative;
}

.separator-left::after{
    content: "";
    position: absolute;
    top: 25%;
    left: 0px;
    height:50%;
    width: 100%;
    border-left: solid 2px rgba(0, 0, 0, 0.185) ;
}

.bg-red.btn:hover{
    color:white;
    background-color: #b42222 !important;
}
.bg-red.btn{
    transition: all .2s ease-in-out;
    
}

.separator-left:last-child::after{
    content: "";
    position: absolute;
    top: 25%;
    left: 0px;
    height:50%;
    width: 100%;
    border-right: solid 2px rgba(0, 0, 0, 0.185) ;
}


.txt-center.recursive div{
    text-align: center;
}

.erakita-logo{
    background-image: url("/assets/img/erakita-logo-square.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}
.erakita-logo>div{
    
    padding-top: 100%;
}
.search-header{
    height:75%;
}

.squared{
    border: 1px solid rgba(0, 0, 0, 0.082);   
}
.squared::after{
    /* content: "";
  display: block;
  padding-bottom: 100%; */
}

.clickable,.hoverable{
    cursor: pointer;
    transition: all .25s ease-in-out;
    position: relative;
}


.hoverable:hover{
    color:#d32f2f !important;
}

.hoverable.active, .activeable-solo.hoverable.active{
    border-bottom: 2px solid #d32f2f;   
}
.activeable-solo.hoverable {
    border-bottom: 2px solid transparent;
}

.clickable>span{
    text-align: center;
    z-index:2;
    position : relative;
    transition: all .2s ease-in-out;
}
.clickable:hover>span{
    opacity:1 !important;
}


.clickable:hover::before{
    z-index:1;
    content: "";
    transition: all .3s ease-in-out;
    position : absolute;
    width: 100%;
    height: 100%;
    top:0px;
    left:0px;
    background-color: rgba(0, 0, 0, 0.253);
    border-radius: inherit;
    box-shadow: 0px 0px 5px #FFFF88;
}

.mini-btn{
    padding: 0px 10px;
    cursor: pointer;
    border: 1px solid rgba(0, 0, 0, 0.103);
}
.mini-btn:hover{
    background-color: #d32f2f;
    color: white;
}

.inlabel-btn{
    cursor: pointer;
    border: 1px solid rgba(0, 0, 0, 0.103);
    transition: all .25s ease-in-out;
}
input{
    border: 1px solid rgba(0, 0, 0, 0.103);
    padding: 5px 10px;
}
input:focus{
    box-shadow : 0px 0px 8px 1px rgba(0, 0, 0, 0.103);
}
.inlabel-btn:hover, .option-search.inlabel-btn.active{
    
    background-color: #d32f2f;
    color: white;
}
.selectedOptionBadge{
    transition: all .25s ease-in-out;
}

/*Display CSS*/
@media (max-width: 575px) {
    .hide-on-small-only{
        display: none;
    }
}
/*======================*/

/*Advance Search CSS*/
.adv-search-inner-container{
    width: 100%;
    height: 100%;
    margin-bottom: 0 !important;
    display: flex;
    flex-direction: column;
}
.adv-search-top{
    width: 100%;
    flex: 1 0 auto;
}
.adv-search-bottom{
    width: 100%;
    flex-shrink: 0;
    margin: 10px 0 10px 0;
}
.adv-search-item{
    width: 70%;
    margin: auto;
    margin-top: 20px;
    margin-bottom: 15px !important;
}
.adv-search-item > table{
    width: 100%;
}
.adv-search-item > table > tbody > tr:last-child > td > .flex{
    margin-top: 20px !important;
}
.txt-center > h6, .flex-ver > h6{
    margin-bottom: 10px;
}
.priceInput{
    margin-bottom: 10px;
}
#adv-search-item-jns-transaksi{
    margin-right: 25px;
    width: 20%;
}
#adv-search-item-jns-transaksi > .txt-center > .flex > .option-search{
    width: 50%;
}
#adv-search-item-tipe-property{
    width: 80%;
}
#adv-search-item-tipe-property > .txt-center > .flex > .option-search{
    width: 16.67%;
}
#adv-search-item-sertifikat{
    width: 100%;
}
#adv-search-item-sertifikat > .inlabel-btn{
    width: 25%;
}
/*==================*/



.activeable{
    cursor: pointer;
    transition: all .25s ease-in-out;
    position: relative;
}
.activeable:hover::after{
    content: "";
    transition: all .2s ease-in-out;
    position : absolute;
    width: 100%;
    height: 100%;
    top:0px;
    left:0px;
    background-color: rgba(0, 0, 0, 0.020);
}

.activeable.bg-red, .activeable-solo.bg-red{
    background-color:white !important;
    border: solid #b42222 1px;
    color:black;
}
.activeable.bg-red, .activeable-solo.bg-red{
    border:none;
}


.my-container{
    width:75%;
    margin:auto;
    
}
.active.bg-red{
    background-color:#b42222 !important;
    color:white;
}

.margin-row-sm{
    margin-bottom:5px;
}
.margin-row-md{
    margin-bottom:10px;
}
.margin-row-lg{
    margin-bottom:15px;
}

.txt-bold{
    font-weight: bold;
}



/* width */
.minimalistScrollbar::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}

/* Track */
.minimalistScrollbar::-webkit-scrollbar-track {
  background: #f1f1f100; 
}
 
/* Handle */
.minimalistScrollbar::-webkit-scrollbar-thumb {
  background: #888; 
  border-radius: 10px;
}

/* Handle on hover */
.minimalistScrollbar::-webkit-scrollbar-thumb:hover {
  background: #555; 
}

.my-table thead, .my-table tr{
    border-bottom: 1px solid #00000015
}

.my-table tr>td{
    padding:5px 10px;
}



#user-profile-container.active{
    border-radius: 10px 10px 0px 0px;
}

.profile-content{

    position: absolute; 
    right: 0px;
    transform: translateY(-60px);
    background-color:white;
    box-shadow: 0px 0px 8px 0px #9c9c9c85;
    transition: all .2s ease-in-out;
     opacity: 0;  
}
.profile-content.active{
     opacity: 1; 
    transform: translateY(0px);     
}




.displayNone{
    display: none !important;
}




.user-photo-mini{
    margin: 0px auto 5px auto;
    background-size: cover;
    background-position: center;
    border-radius: 50%;
    border: 2px solid white;
    box-shadow: 0px 0px 4px 2px #00000040;
    width:75px;
    height:75px;
}

.user-photo-large{
    margin: 0px auto 5px auto;
    background-size: cover;
    background-position: center;
    border-radius: 50%;
    border: 2px solid white;
    box-shadow: 0px 0px 4px 2px #00000040;
    width:150px;
    height:150px;
    
}


.active>.normal{
    display:none;
}
:not(.active)>.parentActive{
    display:none;
}

.truncate {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.truncate-line-2 {
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    padding-right: 10px;
    display: -webkit-box;
}

.truncate-line-3 {
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    padding-right: 10px;
    display: -webkit-box;
}

.capitalize{
    text-transform:capitalize;
}

.unselectable{
    user-select: none;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -o-user-select: none;
}

.heart-blast {
    -webkit-animation-name: hearteffect; /* Safari 4.0 - 8.0 */
    -webkit-animation-duration: 1s; /* Safari 4.0 - 8.0 */
    -webkit-animation-iteration-count: 1;
    animation-name: hearteffect;
    animation-duration: 1s;
    animation-iteration-count: 1;
}

@keyframes hearteffect {
0%   {color: #8888;}
10%  {font-size: 2.8em; color: violet;}
25%  {font-size: 2em; color: tomato;}
50%  {font-size: 2.5em; color: deeppink;}
100% {color: red;}
}

.select2.select2-container.select2-container--default{
    height:100%;
}
.select2-selection.select2-selection--single{
    height: 100%;
}











.header-popup label[for="customCheck1"]::after, .header-popup label[for="customCheck2"]::after{
    left:-1.5rem;
}
.header-popup label[for="customCheck1"]::before, .header-popup label[for="customCheck2"]::before{
    left:-1.5rem;
}



.user-popup{
    position: absolute;
    right: 0px;
    background-color: #d32f2f;
    z-index: 8;
}


.dropdown-container .dropdown-separator{
    padding : 5px 10px;
    background-color: gainsboro;
}

.dropdown-container .dropdown-item{
    padding : 5px 30px;
    background-color: white;
}

.flex-equal.lastnorm{
    flex-wrap: wrap;
}
.flex-equal.lastnorm::after{
    display: block;
    content: "";
    flex-grow: 999999999;
}

.shadow-s{
    box-shadow: 0px 0px 10px gainsboro;;
}

.ratio11::before{
    content: "";
    display: block;
    padding-top: 100%; 
}

.div-image{
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}
.div-image .center-text{
    position: absolute;
    transform: translate(50%, 25%);
}

.users-images>.user-img:not(:first-child){
    position: relative;
    margin-left: -6px;
}
.users-images>.user-img:nth-child(n+10){
    display:none;
}


.circle{
    border-radius:50%;
}
.my-popover {
    position: absolute;
    right: 0px;
    background-color: white;
    padding: 5px 5px;
    border: 2px solid #00000054;
    border-radius: 5px;
    margin-top: 10px;
}
.pace {
    -webkit-pointer-events: none;
    pointer-events: none;

    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

.pace-inactive {
    display: none;
}

.pace .pace-progress {
    background: #c6393d;
    position: fixed;
    z-index: 2000;
    top: 0;
    right: 100%;
    width: 100%;
    height: 2px;
}
